/*******************************
         Site Overrides
*******************************/

/*******************************
             Modal
*******************************/

.ui.modal > div > :first-child:not(.icon),
.ui.modal > div > .icon:first-child + * {
  border-top-left-radius: @borderRadius;
  border-top-right-radius: @borderRadius;
}

.ui.modal > div > :last-child {
  border-bottom-left-radius: @borderRadius;
  border-bottom-right-radius: @borderRadius;
}

/*******************************
            Content
*******************************/

/*--------------
     Close
---------------*/

.ui.modal > div > .close {
  cursor: pointer;
  position: absolute;
  top: @closeTop;
  right: @closeRight;
  z-index: 1;

  opacity: @closeOpacity;
  font-size: @closeSize;
  color: @closeColor;

  width: @closeHitbox;
  height: @closeHitbox;
  padding: @closePadding;
}
.ui.modal > div > .close:hover {
  opacity: 1;
}

/*--------------
     Header
---------------*/

.ui.modal > div > .header {
  display: block;
  font-family: @headerFontFamily;
  background: @headerBackground;
  margin: @headerMargin;
  padding: @headerPadding;
  box-shadow: @headerBoxShadow;

  color: @headerColor;
  border-bottom: @headerBorder;
}
.ui.modal > div > .header:not(.ui) {
  font-size: @headerFontSize;
  line-height: @headerLineHeight;
  font-weight: @headerFontWeight;
}

/*--------------
     Content
---------------*/

.ui.modal > div > .content {
  display: block;
  width: 100%;
  font-size: @contentFontSize;
  line-height: @contentLineHeight;
  padding: @contentPadding;
  background: @contentBackground;
}
.ui.modal > div > .image.content {
  display: flex;
  flex-direction: row;
}

/* Image */
.ui.modal > div > .content > .image {
  display: block;
  flex: 0 1 auto;
  width: @imageWidth;
  align-self: @imageVerticalAlign;
}
.ui.modal > div > [class*="top aligned"] {
  align-self: top;
}
.ui.modal > div > [class*="middle aligned"] {
  align-self: middle;
}
.ui.modal > div > [class*="stretched"] {
  align-self: stretch;
}

/* Description */
.ui.modal > div > .content > .description {
  display: block;
  flex: 1 0 auto;
  min-width: 0px;
  align-self: @descriptionVerticalAlign;
}

.ui.modal > div > .content > .icon + .description,
.ui.modal > div > .content > .image + .description {
  flex: 0 1 auto;
  min-width: @descriptionMinWidth;
  width: @descriptionWidth;
  padding-left: @descriptionDistance;
}

/*rtl:ignore*/
.ui.modal > div > .content > .image > i.icon {
  margin: 0em;
  opacity: 1;
  width: auto;
  line-height: 1;
  font-size: @imageIconSize;
}

/*--------------
     Actions
---------------*/

.ui.modal > div > .actions {
  background: @actionBackground;
  padding: @actionPadding;
  border-top: @actionBorder;
  text-align: @actionAlign;
}
.ui.modal .actions > .button {
  margin-left: @buttonDistance;
}

/* Tablet and Mobile */
@media only screen and (max-width : @largestTabletScreen) {
  .ui.modal > div > .header {
    padding-right: @closeHitbox;
  }
  .ui.modal > div > .close {
    top: @innerCloseTop;
    right: @innerCloseRight;
    color: @innerCloseColor;
  }
}

/*-------------------
       Responsive
--------------------*/

/* Mobile */
@media only screen and (max-width : @largestMobileScreen) {

  .ui.modal > div > .header {
    padding: @mobileHeaderPadding !important;
    padding-right: @closeHitbox !important;
  }
  .ui.modal > div > .content {
    display: block;
    padding: @mobileContentPadding !important;
  }
  .ui.modal > div > .close {
    top: @mobileCloseTop !important;
    right: @mobileCloseRight !important;
  }

  .ui.modal > div > .content > .image > i.icon {
    font-size: @mobileImageIconSize;
    text-align: center;
  }

  /* Let Buttons Stack */
  .ui.modal > div > .actions {
    padding: @mobileActionPadding !important;
  }
}

.ui.basic.modal > div > .header,
.ui.basic.modal > div > .content,
.ui.basic.modal > div > .actions {
  background-color: transparent;
}
.ui.basic.modal > div > .header {
  color: @basicModalHeaderColor;
}
.ui.basic.modal > div > .close {
  top: @basicModalCloseTop;
  right: @basicModalCloseRight;
}

/* Tablet and Mobile */
@media only screen and (max-width : @largestTabletScreen) {
  .ui.basic.modal > div > .close {
    color: @basicInnerCloseColor;
  }
}

/*******************************
           Variations
*******************************/

.ui.fullscreen.modal > div > .header {
  padding-right: @closeHitbox;
}
.ui.fullscreen.modal > div > .close {
  top: @innerCloseTop;
  right: @innerCloseRight;
  color: @innerCloseColor;
}

/*--------------
      Size
---------------*/

/* Small */
.ui.small.modal > div > .header:not(.ui) {
  font-size: @smallHeaderSize;
}

/* Large Modal Width */
.ui.large.modal > div > .header {
  font-size: @largeHeaderSize;
}